Jump to content
  • Announcements

    • Erik

      IMPORTANT - Please read   08/15/2017

      Trying to log in? Your new username is your display name (the name shown when posting). We no longer have separate usernames and display names.
      https://combatace.com/contact/ for problems logging in.
33LIMA

Il-2 '46's new supermod!

Recommended Posts

33LIMA    764

The Community User Patch (CUP) is now available, via SAS

 

2015.03.09 14-33-28.jpg

 

There have been various flavours of mod for the venerable but still outstanding IL-2 1946. Now there's a new kid on the Il-2 block and you can read all about it on the Special Aircraft Service site, here.

 

This new mod brings together and builds on three of the best things to happen to Il-2 in recent years - the Dark Blue World mod (DBW), IMHO much the best Il-2 add-on for Single Player use; The Full Monty mod (TFM), which was another must-have but something of a headache to download and install; and the work of Team Daidalos, whose work has improved several core features of the sim, notably the Artificial Intelligence.

 

Now all three are brought togther in a new evolution, the Community User Patch. There's still quite a lot to download but (i) not as much (ii) there's a torrent option and (iii) installation is just a matter of unzipping stuff into a clean Il-2 install patched to 4.12. When done you have the ultimate set of planes and maps for IL-2 from WW1 through to the jet age, compatible with the latest, TD AI and features.

 

2015.03.09 14-21-38.jpg

 

CUP also includes a great set of extra mods which you can enable at will, notably one which lets you choose many more maps in the Quick Mission Builder, whereas the stock sim's choices were quite limited. You can be over sunny Spain one mission, enjoying the breeze in your open cockpit, and shivering over the wintry Ardennes, the next.

 

2015.03.09 18-55-59.jpg

 

2015.03.09 19-19-12.jpg

 

And of course there's the Pacific Theatre, with many new ships, to which you can do various nasty things.

 

2015.03.08 23-33-02.jpg

 

I'm not sure which existing campaigns - notably the many great ones available over at that great resource for things IL-2, Mission4Today - will work with this and which would need tweaked, but there are some good (presumably stock) campaigns which seem to work fine with CUP, including one of my favourites, 'Blinding Sun':

 

2015.03.09 00-42-43.jpg

 

So...why are you still sitting there, reading this? Go get it!

  • Like 5

Share this post


Link to post
Share on other sites

SayWhatt    124

Sam this the other day. The amount of work that's gone into this is insane! Plus the inclusion of modern era jets-- just blew my mind!

Share this post


Link to post
Share on other sites
+Dave    2,095

But how do the modern jets work in the sim?

Share this post


Link to post
Share on other sites
33LIMA    764

But how do the modern jets work in the sim?

 

I knew somebody would ask that! Don't know yet. The F/A18 has a working HUD and stuff that lights up green where there should be dials (!!!) on the panel. Radar, Sidewinders and Sparrows? Dunno if they work and if so, how.

 

No such worries, with the WW1 module (formerly DBW 1916).

 

2015.03.09 14-38-31.jpg

 

I've tried a couple of campaigns from M4T tho, starting with ones reported to work in the TD 4.12 mod, and those i've tried do work. Being built in earlier versions, they lack some of the new features eg takeoffs in 'From Pearl Harbour to Midway' are still conga line rather than in formation and the battleships are still British 'KG Fives'. But they work!

 

2015.03.09 22-30-47.jpg

 

Likewise 'Beaufighter Odyssey'. Though it's using the original Pacific Fighters DAP (Aussie) Beau rather than the newer models...and I'm not sure why my torpedo looks like somebody forgot to remove the packaging.

 

2015.03.09 22-46-07.jpg

 

Still. these two campaigns are functioning in CUP. Will try some of the ones I've flown in DBW (pre-4.12) next, fingers crossed.

Share this post


Link to post
Share on other sites
+Stary    2,241

Hmmm more and more convinced to dump my old 209 DBW, damn you 33Lima and your great teasings! :wink:

Share this post


Link to post
Share on other sites
B52STRATO    214

I wondering also on this. When they released the Vietnam mod some times ago it truly only allowed strike sorties or gunfighting (like with the Korea mod), then just a bit after the use of IRMs.

Share this post


Link to post
Share on other sites
Anthropoid    1

I'm  a noob to flight sim games, so I have a hard time discriminating what is my own lack of experience and knowledge and what is 'not good game.'

 

That said, I find IL-2 1946 (purchased off Good Old Games) in basic vanilla form to be quite . . . erm, annoying for lack of a better word. Trim and the UI controls for looking around being my main issue.

 

To me, Strike Fighters 2 does a great job of striking a happy balance between detail, realism, and playability for a relatively inexperienced flight simmer. I was within 10 or 15 hours able to do missions competently in SF2 Vietnam, but in IL2 I don't think I've ever got the hang of it. Maybe I just need a different profile for my controllers, I dunno.

 

If I thought I could get the game to perform as smoothly on my rig and with my controllers as SF2 Vietnam did pretty much immediately 'out of the box,' I'd be all over every expansion and download availalble and happy to make paypal donations to the modder/designers responsible. But with so many games I've never played that are shiny new out of the box (ROF, all the various SF titles, etc.) I'd have to say that IL-2 is not on the top of my list.

 

But I'd definitely be interested to hear if anyone has any suggestions to change my mind :)

Share this post


Link to post
Share on other sites
mono27    40

I will give it a try. It looks VERY interesting. I hope the installation of this supermod isn't too much complicated.

I will read the instructions carefully.

Share this post


Link to post
Share on other sites
+KJakker    276

attachicon.gif2015.03.09 22-30-47.jpg

 

Likewise 'Beaufighter Odyssey'. Though it's using the original Pacific Fighters DAP (Aussie) Beau rather than the newer models...and I'm not sure why my torpedo looks like somebody forgot to remove the packaging.

 

Here is the answer for the "packaging". http://www.navweaps.com/Weapons/WTUS_WWII.htm The Mk 13 used add-on wooden shrouds and fins to allow it to be dropped reliably from higher altitude and air speeds. They would brake away when the torpedo hit the water.   

Share this post


Link to post
Share on other sites
TeargasHorse    55

The SAS download states:

^^Please do not use v1 Torrent anymore.
Users who already downloaded v1 Torrent (or those who are close to finishing with it) have to do the following in order to get a working game:
 

  • Read this until you understood everything!
  • Get rid of your existing C.U.P. Installation if you already have one.
    It's FUBAR.
  • Start with a fresh IL-2 4.12.2m + Modact 5.3 installation.
  • When you finished downloading the v1 Torrent, proceed with the "C.U.P.- v1 Torrent Update" here:
    http://www.mediafire.com/download/tsbarzbzpg7r4oz
  • Once you finished downloading the "C.U.P.- v1 Torrent Update", take all files from that pack to overwrite the existing files with same names from the original v1 Torrent
  • When you finished all of the above steps (and only then!) please proceed installing C.U.P.

New v2 Torrent is being prepared.

 

So, right now there is no download available. (3-10)

 

  • Like 1

Share this post


Link to post
Share on other sites
33LIMA    764

Strange, for a thing that is effed up beyond all redemption, my CUP install seems to be functioning fine.

2015.03.08 23-33-53.jpg

 

But maybe that's because I applied the fix for the '70% freeze' and then enabled the QMB combo mod pro thingy to fix the QMB lockups with the Dawn of Flight and Jet Age modules. But I'm D/L'ing the torrent fix now and at some point I'll create a fresh install, just in case I'm missing something. But for now, the new planes, maps and as far as I can see AI are all there, plus older campaigns - at least those designed for 4.12 - are working fine so far.

 

2015.03.09 22-33-54.jpg

 

And these jets from '46 are working fine, tho if there was a trick to get the wire-guided missiles actually guiding, I haven't found out what it was.

 

2015.03.09 23-18-54.jpg

 

Thanks for the gen on the torps Kjakker, thought it was something like that, didn't the IJN apply some similar lash-up mod to their torpedoes to stop them ending up in the silt at Pearl.

 

Agree with Anthropoid, to the extent that IL-2 is never likely to be as good at modern jets or WW1 birds as dedicated offerings and that SF2/FE2 still offer a top-notch experience in those areas, plus better animated aircrew and dynamic shading, tho the Mig-21 still looks pretty good in both sims...

 

2015.03.09 14-23-43.jpg

 

img00001.JPG

 

...the SF series have that Third Wire 'magic touch' about them, excelling at air-to-air in particular.

 

However, for WW2, for many players, IL-2 still beats the socks of the shiny new contenders. For me it's mostly down to finding the right campaigns, like Blinding Sun with its idiosyncratic and engaging briefings and varied missions where the unexpected is frequently thrown at you; likewise the FlatSpinMan Reichs defence and DAK campaigns I've reported on here -  as immersive and exciting as any campaigns in any sim, and much better than those in some of the 'shiny, new' stuff.

 

25.06.2014 19-04-54.jpg

Share this post


Link to post
Share on other sites
33LIMA    764

Still working fine for me.

 

Not going so well for this Sally, though...

 

2015.03.10 23-55-37.jpg

 

...nor for this Zeke, sadly...

 

2015.03.10 23-50-28.jpg

 

With such a large mod, which includes lots of little submods, it's to be expected I think that some post-release debugging will be needed, so that everything works with everything else.

Share this post


Link to post
Share on other sites
+Stary    2,241

CUP WAW exits at the infamous 70% bug for me, stock 212m and SAS 5.30 works fine. Soo, where's the updated torrent?

edit: Ima idiot, nevermind, downloading update via torrent

Edited by Stary

Share this post


Link to post
Share on other sites
+MrGoTime    20

I'm having a lot of issues getting it installed as well. I haven't had much time to dig into it yet though. Sounds like there may be an update over the last couple days? I may wait a week or two and see if the bugs get ironed out. 

Share this post


Link to post
Share on other sites
+Stary    2,241

I'm installing the update now, but only for WAW (the WW2) as I have not downloaded neither Dawn Of Flight nor The Jet Age in case something gets messy

Share this post


Link to post
Share on other sites
+Stary    2,241
  • When you finished all of the above steps (and only then!) please proceed installing C.U.P.

hmmm this part gets me confused

Share this post


Link to post
Share on other sites
+Brain32    260

I'm starting fresh with the v2 and just to get it clear:

- I already had vanilla 4.12.2 official

- installed ModAct 5.3

now what?

Do I install the Modular Map Expansion next and then the Era modules or there's something I have to do first?

Share this post


Link to post
Share on other sites
+Stary    2,241

I think yes..?

 

also what TeargasHorse quoted is a bit confusing -I take it one has to replace the CUP 1 torrent files with contents from torrent update and THEM after that do a clean installation. Anyway will know in 5 minutes as I am nearing total reinstall myself

 

edit: merged 2 posts into one

 

I can confirm that doing so (applying the files from the udpated torrent and adding the fix from CUP thread page 19, post No.221 regarding static.ini additions) fixes it for me

 

hope this helps anyone

 

edit: QMB pro still doesn't work on mission load :sad:

Edited by Stary

Share this post


Link to post
Share on other sites
stuntman    155

I'm thinking about installing WAW, but I also would like to fly Israel planes as well as Korean war. Is it possible without installing the whole frankenjets package?

Share this post


Link to post
Share on other sites
+Stary    2,241

can't say, I installed just WAW for tests

 

which is a pain IMO. To hunt all the conflicting mods and bugs, oh well two days spend on this piece of ^%*^&$ :sad:

might have reinstall SF2I with mods :tongue:

Share this post


Link to post
Share on other sites
Sokol    79

hi,

 

my 5 cents regarding CUP / Il-2:

 

installation was pretty easy without any problem:

  1. got a fresh install of 4.1.12m,
  2. updated with SAS modact 5.3
  3. unzipped the CUP modules into the main il2-folder as per instruction in the following order
  4. maps - needed for all modules
  5. dof - dawn of flight / ww1
  6. waw - world at war / ww2
  7. jtw - jets at war
  8. add any additional mod via jsgme as you like

you may choose to unzipp any combination of dof, waw, or jtw, as you like. i took them all.

played without any problem, no crash or hangup, runs as smooth as always (in fact much smoother than any sf2-module) on my 7+ years old rig.

i did not yet bother with fixes, i'll wait a couple of days for the next stable torrent.

 

the combination Il-2 / CUP seems unbeatable to me as for ww2 aircraft. i appreciate any sf2-extension including rising sun etc. and played them often, but still: il-2 seems way superior in handling, editor, flight models, looks, imersion, available objects, maps etc..

 

when it comes to jets, sf2 is much more versatile, all the goodies throw in their weight ;-), so it is my choice for post 1945 airwar (but some of the CUP-jets look really good).

 

cheers

sokol

Share this post


Link to post
Share on other sites
33LIMA    764

I'm starting fresh with the v2 and just to get it clear:

- I already had vanilla 4.12.2 official

- installed ModAct 5.3

now what?

Do I install the Modular Map Expansion next and then the Era modules or there's something I have to do first?

 

That's what I did. Just unzipped first the maps .rar files in order, then those for the eras of choice. into the main Il-2 folder. I also had to apply the 70% lock-up load fix (maybe fixed in the latest Torrent fix and/or individual downloads). and to avoid the QMB locking me up in Jet Age & Dawn of Flight, I had to apply the included QM Combi-mod with the included JSGME

  • Like 1

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×

Important Information

By using this site, you agree to our Terms of Use.